package org.springframework.security.core.userdetails;

import org.springframework.security.core.Authentication;


/**
 * Interface that allows for retrieving a UserDetails object based on an <tt>Authentication</tt> object.
 *
 * @author Ruud Senden
 * @version $Id: AuthenticationUserDetailsService.java 3558 2009-04-15 07:39:21Z ltaylor $
 * @since 2.0
 */
public interface AuthenticationUserDetailsService {

    /**
     *
     * @param token The pre-authenticated authentication token
     * @return UserDetails for the given authentication token, never null.
     * @throws UsernameNotFoundException
     *             if no user details can be found for the given authentication
     *             token
     */
    UserDetails loadUserDetails(Authentication token) throws UsernameNotFoundException;
}
